Get an adviser's network settings Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/firm/{firm_uuid}/network-settings/advisers/{employee_uuid}

Resolves every network setting's effective value for one adviser, walking their own value, then their firm's, then its ancestors', then the network's, then the platform default - and whether it can currently be changed for them.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • firm_uuid string Required
  • employee_uuid string Required

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • key string
      • label string
      • value boolean
      • source string
      • source_firm object
        Hide source_firm attributes Show source_firm attributes object
        • uuid string
        • name string
      • owning_level string
      • lock_status string
      • exception object
        Hide exception attributes Show exception attributes object
        • reason string
        • review_date string
        • firm object
          Hide firm attributes Show firm attributes object
          • uuid string
          • name string
      • editable boolean
      • locked_message string
GET /api/v1/firm/{firm_uuid}/network-settings/advisers/{employee_uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/firm/6ff8f7f6-1eb3-3525-be4a-3932c805afed/network-settings/advisers/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    [
      {
        "key": "mandatory_firm_two_factor",
        "label": "Mandatory firm 2FA",
        "value": true,
        "source": "network",
        "source_firm": {
          "uuid": "53f22fe4-3731-4cdc-aa12-e65bd0b15e52",
          "name": "Harbour Wealth"
        },
        "owning_level": "network",
        "lock_status": "overridable",
        "exception": {
          "reason": "SPF firm - agreed with network compliance",
          "review_date": "2027-04-01",
          "firm": {
            "uuid": "53f22fe4-3731-4cdc-aa12-e65bd0b15e52",
            "name": "Acme Wealth"
          }
        },
        "editable": true,
        "locked_message": "Mandatory firm 2FA is mandated by Network and cannot be changed for your firm."
      }
    ]
  ]
}